<div ng-show="loading" class="slide-top">
    <div style="text-align: center;margin-top:20%;">
        <div class="sp sp-circle"></div>
    </div>
</div>
<div ng-hide="loading">
    <div class="row-col">
        <div class="col-sm">
            <div class="box m-b-0">
                <div class="box-header">
                    <h2>Details</h2>
                    <small>Here you can edit or create a new superhero</small>
                </div>
                <div class="box-divider m-a-0"></div>
                <div>
                    <form role="form" name="form" class="form-validation">
                        <div class="box">
                            <div class="box-body">
                                <div class="form-group row" show-errors>
                                    <label class="col-sm-2 form-control-label">Name <span class="text-danger">*</span></label>
                                    <div class="col-sm-5">
                                        <input autocomplete="off" type="text" class="form-control" placeholder="Name" ng-model="item.name" name="name" ng-required="true">

                                        <p class="text-danger m-t-sm _600" ng-if="form.name.$error.required && form.name.$dirty">This field is required</p>
                                    </div>
                                </div>
                                <div class="form-group row" show-errors>
                                    <label class="col-sm-2 form-control-label">Nickname <span class="text-danger">*</span></label>
                                    <div class="col-sm-5">
                                        <input autocomplete="off" type="text" class="form-control" placeholder="Nickname" ng-model="item.nickname" name="nickname" ng-required="true">

                                        <p class="text-danger m-t-sm _600" ng-if="form.nickname.$error.required && form.nickname.$dirty">This field is required</p>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-2 form-control-label">Teams</label>
                                    <div class="col-sm-5">

                                        <tags-input placeholder="Add a team..." ng-model="item.teams" display-property="name" replace-spaces-with-dashes="false" add-from-autocomplete-only="true">
                                            <auto-complete select-first-match="false" source="loadTeams($query)"></auto-complete>
                                        </tags-input>

                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-2 form-control-label">Powers</label>
                                    <div class="col-sm-5">

                                        <tags-input placeholder="Add a power..." ng-model="item.powers" display-property="name" replace-spaces-with-dashes="false" add-from-autocomplete-only="true">
                                            <auto-complete select-first-match="false" source="loadPowers($query)"></auto-complete>
                                        </tags-input>

                                    </div>
                                </div>
                            </div>
                            <footer class="p-a dker text-right">
                                <button type="button" class="btn primary" ng-click="save(form)" type="submit">Save</button>
                            </footer>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>